### Method

# Ide Task set_name

#### Declaration

    void
    ide_task_set_name (
      IdeTask* self,
      const gchar* name
    )

#### Description

Sets a useful name for the task.

This string is interned, so it is best to avoid dynamic names as that can result in lots of unnecessary strings being interned for the lifetime of the process.

This name may be used in various `g_critical()` messages which can be useful in troubleshooting.

If using `IdeTask` from C, a default name is set using the source file name and line number.

Available since: | 3.32

#### Parameters

`name` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.